<?php
/**
 * Plugin Acces restreints Giseh 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/ciar_commun');
include_spip('ciar_fonctions');

function exec_ciar_gerer_gestionnaires_dist()
{
	$id_rubrique= intval(_request('id_rubrique'));

	if (!autoriser('configurer', 'configuration') OR !$id_rubrique OR !ciar_rub_ec_direct($id_rubrique)) {
		include_spip('inc/minipres');
		echo minipres();
	} else {	
		$row = sql_fetsel("id_rubrique,titre", "spip_rubriques", "id_rubrique=$id_rubrique");
		if (!$row) {
			echo minipres();			
		} else {
			$id_rubrique = $row['id_rubrique'];
			$type = $row['titre'];
			$titre = typo($type);
	
			$commencer_page = charger_fonction('commencer_page', 'inc');
			echo $commencer_page("&laquo; $titre &raquo;", "naviguer", "mots");
			
			echo debut_gauche('', true);	
		
			echo creer_colonne_droite('', true);
			echo debut_droite('', true);
			
			
			
			$icone_retour = icone_verticale(_T('icone_retour'), generer_url_ecrire("ciar_config"), "rubrique-24.gif", "rien.gif",$GLOBALS['spip_lang_left']);
			
			$contexte = array(
				'icone_retour'=>$icone_retour,
				'titre'=>$titre,
				'redirect'=>generer_url_ecrire("ciar_config"),
				'titre'=>$titre,
				'new'=> $id_rubrique,
				'ci_pagination'=> 1000,
				'recherche' => _request('recherche'),
				'ci_debut_auteur' => _request('debut_auteur_col1'),
				'config_fonc'=>''
			);
		
			
			echo recuperer_fond("prive/editer/ciar_gerer_gestionnaires", $contexte);
		
			
			echo '<br /><div style="background-color: #FFFFFF; border: 1px solid #999999; font-size: 11px; font-family: Arial,Sans,sans-serif; margin: 20px 0 10px; position: relative; padding: 10px;">';
			echo http_img_pack("fiche-perso-24.gif", "", " class='cadre-icone'");
			echo '<div>'.typo(_T('ciar:info1_gestionnaires')).'</div>'; 
			echo '<div>'.typo(_T('ciar:info2_gestionnaires')).'</div>'; 
			echo '<div>'.typo(_T('ciar:info3_gestionnaires')).'</div>'; 
			if (defined('_DIR_PLUGIN_CITRACE'))
				echo '<div>'.typo(_T('ciar:info4_gestionnaires')).'</div>'; 

			echo '</div>';
			
			
			echo fin_gauche(),
			fin_page();
		}
	}
}
?>